@import "../styles/colors";
@import "../styles/mixins";
@import "../styles/variables";


// 
html {
  padding: 0;
  margin: 0;
  @include Baloo2;
}
body {
  padding: 0;
  margin: 0;
  @include Baloo2;
}
* {
  box-sizing: border-box;
}

:focus-visible{
  outline-color: $primary_4;
}

a {
  color: inherit;
  text-decoration: none;
}

ul{
  list-style-type: none;
  padding-left: 0;
}

.hide{
  display: none;
}

/* menu bar css */
.Menus{
  display: flex;
  nav {
   padding: 20px;
    ul{
      background-color: transparent;
      flex-direction: column;
      position: relative;
      justify-content: flex-start;
      margin: 0;
      align-items: flex-start;
      li{
        color: $primary_4;
        a{
          &:hover{
            text-decoration: underline;
            color: $primary_5;
          }
        }
      }
    }
  }
}

/* menu bar css end */

/* common css` */
button{
  cursor: pointer;
}
.underline{
  text-decoration: underline;
}

.capitalize{
  text-transform: capitalize;
}

.c_container{
  max-width: 1200px;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}
.c_row{
  display: flex;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
}

.col_12{
  flex: 0 0 100%;
  max-width: 100%;
  padding-right: 15px;
  padding-left: 15px;
}

.col_3{
  flex: 0 0 25%;
  width: 25% !important;
  padding-right: 15px;
  padding-left: 15px;
}


.text_center{
  text-align: center;
}
.mr_0{
  margin-right: 0 !important;
}
.mt_0{
  margin-top: 0;
}

.mb_24{
  margin-bottom: 24px;
}
.mt_24{
  margin-top: 24px;
}

.mt_40{
  margin-top: 40px;
}

.mb_40{
  margin-bottom: 40px;
}

.mt_16{
  margin-top: 16px;
}

.mb_16{
  margin-bottom: 16px;
}

.pl_16 {
  padding-left: 16px;
}

.pr_16{
  padding-right: 16px;
}

.mb_20{
  margin-bottom: 20px;
}

.mb_8{
  margin-bottom: 8px;
}

.m_0{
  margin: 0;
}

.mb_0{
  margin-bottom: 0;
}

.pr_5{
  padding-right: 30px;
}

.p_50{
  padding: 0 50px;
}
.p_0{
  padding: 0;
}

button{
  border: 0;
}

// font weight classnames
dd.thin{ @include font-weight(thin); }
dd.extra_light{ @include font-weight(extra_light); }
dd.light{ @include font-weight(light); }
dd.normal{ @include font-weight(normal); }
dd.medium{ @include font-weight(medium); }
dd.semi_bold{ @include font-weight(semi_bold); }
dd.bold{ @include font-weight(bold); }
dd.extra_bold{ @include font-weight(extra_bold); }
dd.black{ @include font-weight(black); }

/* typography css */

.d_large{
  @include Baloo2;
  @include font-weight(normal);
  @include d_large;
}

.d_small{
  @include Baloo2;
  @include font-weight(normal);
  @include d_small;
}

.h_large__bold{
  @include Baloo2;
  @include font-weight(bold);
  @include h_large;
}

.h_large__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include h_large;
}

.h_small__bold{
  @include Baloo2;
  @include font-weight(bold);
  @include h_small;
}

.h_small__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include h_small;
}

.subH_semibold{
  @include Baloo2;
  @include font-weight(semi_bold);
  @include subHead;
}

.subH_reg{
  @include Baloo2;
  @include font-weight(normal);
  @include subHead;
}

.body_large__semibold{
  @include Baloo2;
  @include font-weight(semi_bold);
  @include body_large;
}

.body_large__bold{
  @include Baloo2;
  @include font-weight(bold);
  @include body_small;
}

.body_large__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include body_large;
}

.body_small__semibold{
  @include Baloo2;
  @include font-weight(semi_bold);
  @include body_small;
}


.body_small__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include body_small;
}

.label_large__semibold{
  @include Baloo2;
  @include font-weight(semi_bold);
  @include label_large;
}

.label_large__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include label_large;
}

.label_small__semibold{
  @include Baloo2;
  @include font-weight(semi_bold);
  @include label_small;
}

.label_small__reg{
  @include Baloo2;
  @include font-weight(normal);
  @include label_small;
}

.b_label__medium{
  @include Baloo2;
  @include font-weight(medium);
  @include body_small;
}

.b_label__bold{
  @include Baloo2;
  @include font-weight(bold);
  @include body_small;
}

/* typography css end */

/* button components */
.btn_Exlarge{
  @include Baloo2;
  @include Exlargebtn;
  background-color: $primary_4;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
  &:active{
    background-color: $primary_5;
  }
  &:hover{
    background-color: $primary_5;
  }
}

.second_ExlargeOutlined{
  @include Baloo2;
  @include Exlargebtn;
  padding: 12px 0;
  @include radius-16;
  background-color: $white;
  border: 2px solid $primary_4;
  color: $primary_4;
  box-shadow: none;
  &:active{
    background-color: $pink;
    color: $primary_4;
  }
  &:hover{
    background-color: $pink;
    color: $primary_4;
  }
}

.btn_large{
  @include Baloo2;
  @include largebtn;
  background-color: $primary_4;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
  &:active{
    background-color: $primary_5;
  }
  &:hover{
    background-color: $primary_5;
  }
}

.second_LargeOutlined{
  @include Baloo2;
  @include largebtn;
  padding: 12px 0;
  @include radius-16;
  background-color: $white;
  border: 2px solid $primary_4;
  color: $primary_4;
  box-shadow: none;
  &:active{
    background-color: $pink;
    color: $primary_4;
  }
  &:hover{
    background-color: $pink;
    color: $primary_4;
  }
}

.btn_medium{
  @include Baloo2;
  @include mediumbtn;
  background-color: $primary_4;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
  &:active{
    background-color: $primary_5;
  }
  &:hover{
    background-color: $primary_5;
  }
}

.second_MediumOutlined{
  @include Baloo2;
  @include mediumbtn;
  padding: 12px 0;
  @include radius-16;
  background-color: $white;
  border: 2px solid $primary_4;
  color: $primary_4;
  box-shadow: none;
  &:active{
    background-color: $pink;
    color: $primary_4;
  }
  &:hover{
    background-color: $pink;
    color: $primary_4;
  }
}

.btn_small{
  @include Baloo2;
  @include smallbtn;
  background-color: $primary_4;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
  &:active{
    background-color: $primary_5;
  }
  &:hover{
    background-color: $primary_5;
  }
}

.second_SmallOutlined{
  @include Baloo2;
  @include smallbtn;
  padding: 12px 0;
  @include radius-16;
  background-color: $white;
  border: 2px solid $primary_4;
  color: $primary_4;
  box-shadow: none;
  &:active{
    background-color: $pink;
    color: $primary_4;
  }
  &:hover{
    background-color: $pink;
    color: $primary_4;
  }
}


.btn_SmallInactive{
  @include Baloo2;
  @include smallbtn;
  background-color: $grey;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
}

.second_SmallInactOutlined{
  @include Baloo2;
  @include smallbtn;
  padding: 12px 0;
  @include radius-16;
  background-color: transparent;
  border:  2px solid $grey;
  color: $grey;
  box-shadow: none;
  
}

.btn_MediumInactive{
  @include Baloo2;
  @include mediumbtn;
  background-color: $grey;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
}

.second_medium__InactOutlined{
  @include Baloo2;
  @include mediumbtn;
  padding: 12px 0;
  @include radius-16;
  background-color: transparent;
  border:  2px solid $grey;
  color: $grey;
  box-shadow: none;
}

.btn_large__Inactive{
  @include Baloo2;
  @include largebtn;
  background-color: $grey;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
}

.second_large__InactOutlined{
  @include Baloo2;
  @include largebtn;
  padding: 12px 0;
  @include radius-16;
  background-color: transparent;
  border:  2px solid $grey;
  color: $grey;
  box-shadow: none;
}

.btn_Exlarge__Inactive{
  @include Baloo2;
  // @include Exlargebtn;
  background-color: $grey;
  padding: 12px 0;
  @include box_shadow;
  @include radius-16;
}

.second_Exlarge__InactOutlined{
  @include Baloo2;
  // @include Exlargebtn;
  padding: 12px 0;
  @include radius-16;
  background-color: transparent;
  border:  2px solid $grey;
  color: $grey;
  box-shadow: none;
}

/* BUTTON CSS end */

/* typogrphy css end */


.box_shadow1{
  @include box_shadow1;
}


// Swiper_slider css
.swiper{
  // overflow: unset !important;
  // padding: 25px 0 25px 10px !important;
  .swiper-wrapper{
    min-height: 400px;
    padding: 40px 0;
  }
  .swiper-pagination{
    bottom: -10% !important;
    position: relative !important;
  }
  
  .swiper-button-next, .swiper-button-prev{
    position: absolute;
    top: 30%;
    z-index: 10;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    color: $white;
    width: 56px;
    height: 56px;
    background-color: $primary_4;
    border: 3px solid $white;
    border-radius: 50%;
    &:hover{
      background-color: $primary_5;
    }
  }
  
  .swiper-button-next, .swiper-rtl .swiper-button-prev {
    right: 10px;
    left: auto;
  }
  
  .swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    // content: 'prev';
    content: url('../public/prev_icon.svg');
  }
  
  .swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
    // content: 'next';
    content: url('../public/next_icon.svg');
  }
  
  .swiper-button-next:after, .swiper-button-prev:after {
    font-family: swiper-icons;
    font-size: 20px;
    font-weight: 900;
    text-transform: none!important;
    letter-spacing: 0;
    font-variant: initial;
    line-height: 1;
  }
}

